package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.MessageSendCondition;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface MessageSendConditionDAO {
	int insert(MessageSendCondition entity);
	int update(MessageSendCondition entity);
	int exist(String id);
	MessageSendCondition get(String id);
	int delete(String id);
	List<MessageSendCondition> list();
	List<MessageSendCondition> search(Map<String,Object> searchParams,List<Sort> sortList);
    List<String> findNewMessage(Map<String, Object> searchParams);
}